# openvz_get_free_ip($session_id, $server_id = 0);

Description:

Shows the unreserved IPs for openvz virtual machines.

Input Variables:

$session_id, $server_id = 0

Parameters (in $params):

None

Output:

Returns the IPs available for an openvz virtual machine.

SQL Interaction (the matching server ID condition is left out if $server_id=0):

"SELECT ip_address_id, server_id, ip_address FROM openvz_ip WHERE reserved = 'n' AND vm_id = 0 AND server_id = $server_id LIMIT 0,1"